Skip to main content
GET
/
conversations
/
{id}
/
branches
/
{messageId}
List message branches
curl --request GET \
  --url https://api.veryfront.com/conversations/{id}/branches/{messageId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "conversationId": "<string>",
    "seq": 123,
    "role": "<string>",
    "parts": [
      {}
    ],
    "status": "<string>",
    "createdAt": "<string>",
    "parentId": "<string>",
    "createdBy": "<string>",
    "model": "<string>",
    "tokenUsage": null,
    "finishReason": "<string>",
    "costCredits": "<string>",
    "editedAt": "<string>",
    "idempotencyKey": "<string>",
    "metadata": null,
    "updatedAt": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

id
string<uuid>
required

Conversation ID

messageId
string<uuid>
required

Parent message ID

Response

200 - application/json

Branch messages

id
string
required
conversationId
string
required
seq
number
required
role
string
required
parts
object[]
required
status
string
required
createdAt
string
required
parentId
string | null
createdBy
string | null
model
string | null
tokenUsage
unknown
finishReason
string | null
costCredits
string | null
editedAt
string | null
idempotencyKey
string | null
metadata
unknown
updatedAt
string | null